| Cantera 3.0.0

Loading...
Searching...
No Matches
Functions
Warnings
Errors and Diagnostics

Warnings raised by Cantera. More...

Collaboration diagram for Warnings:

## Detailed Description

Warnings raised by Cantera.

## Functions
template<typename... Args>
void | warn_deprecated (const string &method, const string &msg, const Args &... args)
| Print a deprecation warning raised from method.
template<typename... Args>
void | warn (const string &warning, const string &method, const string &msg, const Args &... args)
| Print a generic warning raised from method.
template<typename... Args>
void | warn_user (const string &method, const string &msg, const Args &... args)
| Print a user warning raised from method as `CanteraWarning`.

## Function Documentation

## ◆ warn_deprecated()

template<typename... Args>

void warn_deprecated | ( | const string & | method,
|  | const string & | msg,
|  | const Args &... | args
| ) |  |

Print a deprecation warning raised from method.

See also
  Application::warn_deprecated

Parameters

  method | method name
  msg | Python-style format string with the following arguments
  args | arguments for the format string

Definition at line 227 of file global.h.

## ◆ warn()

template<typename... Args>

void warn | ( | const string & | warning,
|  | const string & | method,
|  | const string & | msg,
|  | const Args &... | args
| ) |  |

Print a generic warning raised from method.

See also
  Application::warn

Parameters

  warning | type of warning; See Logger::warn
  method | method name
  msg | Python-style format string with the following arguments
  args | arguments for the format string

Definition at line 251 of file global.h.

## ◆ warn_user()

template<typename... Args>

void warn_user | ( | const string & | method,
|  | const string & | msg,
|  | const Args &... | args
| ) |  |

Print a user warning raised from method as `CanteraWarning`.

Parameters

  method | method name
  msg | Python-style format string with the following arguments
  args | arguments for the format string

Definition at line 267 of file global.h.